Summary: ncm-template is a Quattor library for processing template files
Name: ncm-template
Version: 1.0.17
Vendor: EDG / CERN
Release: 1
License: http://www.eu-datagrid.org/license.html
Group: quattor/System
Source: ncm-template-1.0.17.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: Cesar Lobo <cesar.lobo@uam.es>
URL: http://quattor.org

Requires: perl-CAF
Requires: perl-LC
Requires: ccm

%description
ncm-template is a Quattor library for processing template files

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

# leave log file//
#%postun
#[ $1 = 0 ] && rm -f @NCM_ROTATED@/ncm-template
#exit 0

%files
%defattr(-,root,root)
/usr/bin/ncm-template-test
/usr/lib/perl/NCM/Template.pm
%doc /usr/share/doc/ncm-template-1.0.17/LICENSE
%doc /usr/share/doc/ncm-template-1.0.17/ChangeLog
%doc /usr/share/doc/ncm-template-1.0.17/README
%doc /usr/share/doc/ncm-template-1.0.17/example1.tpl
%doc /usr/share/doc/ncm-template-1.0.17/example2.tpl
%doc /usr/share/doc/ncm-template-1.0.17/example3.tpl
%doc /usr/share/doc/ncm-template-1.0.17/example4.tpl
%doc /usr/share/man/man8/ncm-template-test.8.gz
%doc /usr/share/man/man8/NCM::Template.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 14 2007 Michel Jouvin

- Add /system/glite/config/GLITE_GROUP

* Wed May 16 2007 Luis Fernando Muñoz Mejías

- Added DSSTFOREACH (DiSk SorTed FOREACH) tag for fixing bug #26137

* Tue May 08 2007 Luis Fernando Muñoz Mejías

- I hate CVS... Bad patch reverted. Really.

* Tue May 08 2007 Luis Fernando Muñoz Mejías

- I hate CVS... Bad patch reverted. Really.

* Tue May 08 2007 Luis Fernando Muñoz Mejías

- Reverted changes on 1.0.12

* Mon May 07 2007 Luis Fernando Muñoz Mejías

- Modified UNESCAPE tag to work around bug #26137

* Thu Mar 29 2007 Ronald Starink, NIKHEF, +31205922179, ronalds@nikhef.nl

- Removed MAINTAINER file

* Tue Feb 27 2007 Ronald Starink, NIKHEF, +31205922179, ronalds@nikhef.nl

- Added tags <LFOREACH>...<ENDLFOR>, <PACKAGELIST> and modified <PACKAGEPATH> to support #24189

* Thu Oct 12 2006 Ronald S

- Added tag <UNESCAPE: > to facilitate implementation for bug #14994

* Tue Aug 01 2006 German Cancio Melia

- Added GetDelimiters() function; added example4.tpl

* Mon Jul 17 2006 German Cancio Melia

- Fix in previous fix ;-(

* Mon Jul 17 2006 German Cancio Melia

- Fixed Savannah #18109 (allow <PACKAGE:> in NCM/Template to explicitly select architecture)

* Mon May 15 2006 Ronald Starink, NIKHEF, +31205922179, ronalds@nikhef.nl

- Fix bug #16811 (PACKAGEPATH returns wrong repository)

* Sat Mar 11 2006 Michel Jouvin

- Implement new clause PACKAGEPATH to return URL where a package is located (bug #15458)

* Mon Aug 15 2005 German Cancio Melia

- Provide fix for Savannah #10259 (ncm-template modifies $/ globally)

* Thu Jul 21 2005 German Cancio Melia

- On behalf of Cesar: Small docu and report improvement

* Wed Jul 06 2005 Cesar Lobo

- More functionality added and some bugs fixed

* Mon Jun 13 2005 Cesar Lobo

- First stable version.

* Tue May 10 2005 German Cancio Melia

- Remove print statements and use CAF functions for application reporting.

* Tue May 10 2005 German Cancio Melia

- First complete version, thanks to Cesar Lobo

* Tue May 10 2005 Cesar Lobo

- First public version (alpha)

--- end of ChangeLog ---
